Bug 16304 - /bin/mail from mailx-8.1.1-16 core dumps
Summary: /bin/mail from mailx-8.1.1-16 core dumps
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mailx   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-15 23:59 UTC by Blomgren, Peter
Modified: 2008-05-01 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-16 00:02:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Blomgren, Peter 2000-08-15 23:59:53 UTC
%> rpm -qf /bin/mail
mailx-8.1.1-16

%> ldd /bin/mail
        libc.so.6 => /lib/libc.so.6 (0x2aac8000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x2aaab000)

%> rpm -qf /lib/libc.so.6 /lib/ld-linux.so.2
glibc-2.1.3-15
glibc-2.1.3-15

%> /bin/mail
Mail version 8.1 6/6/93.  Type ? for help.
"/var/spool/mail/testuser": 1 message 1 new
>N  1 testuser@devnull.sta  Tue Aug 15 16:44  13/407   "test"
& [return]
Message 1:
From testuser  Tue Aug 15 16:44:19 2000
Date: Tue, 15 Aug 2000 16:44:19 -0700
From: Test User <testuser@devnull.stanford.edu>
To: testuser@devnull.Stanford.EDU
Subject: test

test

& q [return]
Segmentation fault (core dumped)

Comment 1 Jeff Johnson 2000-08-16 00:05:44 UTC
Already fixed (with a couple of other problems) in mailx-8.1.1-17.

Comment 2 Michael McEniry 2000-08-17 19:29:44 UTC
I'm experiencing this same core-dump behavior.  When 
will mailx-8.1.1-17 be available?

Comment 3 Blomgren, Peter 2000-08-18 00:42:14 UTC
I'm not sure when the updated rpm will be on the ftp servers,
for now you can get the SRC.RPM at

http://stoker.stanford.edu/~blomgren/Linux/mailx-8.1.1-17.src.rpm

(If traffic gets out of control, I'll have to take it down...)


Comment 4 Marek Greško 2001-02-11 16:30:23 UTC
Well, the src.rpm above is not reachable. But the problem disappears after
setting hold flag in mail.rc.

Make your /etc/mail.rc looking like this:
set ask askcc append dot save crt hold
ignore Received Message-Id Resent-Message-Id Status Mail-From Return-Path Via

Marek


Note You need to log in before you can comment on or make changes to this bug.